Makefile 38 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086108710881089109010911092109310941095109610971098109911001101110211031104110511061107110811091110111111121113111411151116111711181119112011211122112311241125112611271128112911301131113211331134113511361137113811391140114111421143114411451146114711481149
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_tty_audit/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2005, 2006, 2009, 2010 Thorsten Kukuk <kukuk@suse.de>
  13. #
  14. am__is_gnu_make = { \
  15. if test -z '$(MAKELEVEL)'; then \
  16. false; \
  17. elif test -n '$(MAKE_HOST)'; then \
  18. true; \
  19. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  20. true; \
  21. else \
  22. false; \
  23. fi; \
  24. }
  25. am__make_running_with_option = \
  26. case $${target_option-} in \
  27. ?) ;; \
  28. *) echo "am__make_running_with_option: internal error: invalid" \
  29. "target option '$${target_option-}' specified" >&2; \
  30. exit 1;; \
  31. esac; \
  32. has_opt=no; \
  33. sane_makeflags=$$MAKEFLAGS; \
  34. if $(am__is_gnu_make); then \
  35. sane_makeflags=$$MFLAGS; \
  36. else \
  37. case $$MAKEFLAGS in \
  38. *\\[\ \ ]*) \
  39. bs=\\; \
  40. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  41. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  42. esac; \
  43. fi; \
  44. skip_next=no; \
  45. strip_trailopt () \
  46. { \
  47. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  48. }; \
  49. for flg in $$sane_makeflags; do \
  50. test $$skip_next = yes && { skip_next=no; continue; }; \
  51. case $$flg in \
  52. *=*|--*) continue;; \
  53. -*I) strip_trailopt 'I'; skip_next=yes;; \
  54. -*I?*) strip_trailopt 'I';; \
  55. -*O) strip_trailopt 'O'; skip_next=yes;; \
  56. -*O?*) strip_trailopt 'O';; \
  57. -*l) strip_trailopt 'l'; skip_next=yes;; \
  58. -*l?*) strip_trailopt 'l';; \
  59. -[dEDm]) skip_next=yes;; \
  60. -[JT]) skip_next=yes;; \
  61. esac; \
  62. case $$flg in \
  63. *$$target_option*) has_opt=yes; break;; \
  64. esac; \
  65. done; \
  66. test $$has_opt = yes
  67. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  68. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  69. pkgdatadir = $(datadir)/Linux-PAM
  70. pkgincludedir = $(includedir)/Linux-PAM
  71. pkglibdir = $(libdir)/Linux-PAM
  72. pkglibexecdir = $(libexecdir)/Linux-PAM
  73. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  74. install_sh_DATA = $(install_sh) -c -m 644
  75. install_sh_PROGRAM = $(install_sh) -c
  76. install_sh_SCRIPT = $(install_sh) -c
  77. INSTALL_HEADER = $(INSTALL_DATA)
  78. transform = $(program_transform_name)
  79. NORMAL_INSTALL = :
  80. PRE_INSTALL = :
  81. POST_INSTALL = :
  82. NORMAL_UNINSTALL = :
  83. PRE_UNINSTALL = :
  84. POST_UNINSTALL = :
  85. build_triplet = x86_64-pc-linux-gnu
  86. host_triplet = arm-unknown-linux-gnueabihf
  87. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  88. subdir = modules/pam_tty_audit
  89. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  90. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  91. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  92. $(top_srcdir)/m4/intlmacosx.m4 \
  93. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  94. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  95. $(top_srcdir)/m4/ld-no-undefined.m4 \
  96. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  97. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  98. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  99. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  100. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  101. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  102. $(top_srcdir)/m4/progtest.m4 \
  103. $(top_srcdir)/m4/warn_lang_flags.m4 \
  104. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  105. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  106. $(ACLOCAL_M4)
  107. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  108. $(am__dist_noinst_DATA_DIST) $(am__DIST_COMMON)
  109. mkinstalldirs = $(install_sh) -d
  110. CONFIG_HEADER = $(top_builddir)/config.h
  111. CONFIG_CLEAN_FILES =
  112. CONFIG_CLEAN_VPATH_FILES =
  113. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  114. am__vpath_adj = case $$p in \
  115. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  116. *) f=$$p;; \
  117. esac;
  118. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  119. am__install_max = 40
  120. am__nobase_strip_setup = \
  121. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  122. am__nobase_strip = \
  123. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  124. am__nobase_list = $(am__nobase_strip_setup); \
  125. for p in $$list; do echo "$$p $$p"; done | \
  126. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  127. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  128. if (++n[$$2] == $(am__install_max)) \
  129. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  130. END { for (dir in files) print dir, files[dir] }'
  131. am__base_list = \
  132. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  133. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  134. am__uninstall_files_from_dir = { \
  135. test -z "$$files" \
  136. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  137. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  138. $(am__cd) "$$dir" && rm -f $$files; }; \
  139. }
  140. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"
  141. LTLIBRARIES = $(securelib_LTLIBRARIES)
  142. pam_tty_audit_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  143. pam_tty_audit_la_SOURCES = pam_tty_audit.c
  144. pam_tty_audit_la_OBJECTS = pam_tty_audit.lo
  145. AM_V_lt = $(am__v_lt_$(V))
  146. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  147. am__v_lt_0 = --silent
  148. am__v_lt_1 =
  149. AM_V_P = $(am__v_P_$(V))
  150. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  151. am__v_P_0 = false
  152. am__v_P_1 = :
  153. AM_V_GEN = $(am__v_GEN_$(V))
  154. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  155. am__v_GEN_0 = @echo " GEN " $@;
  156. am__v_GEN_1 =
  157. AM_V_at = $(am__v_at_$(V))
  158. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  159. am__v_at_0 = @
  160. am__v_at_1 =
  161. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  162. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  163. am__maybe_remake_depfiles = depfiles
  164. am__depfiles_remade = ./$(DEPDIR)/pam_tty_audit.Plo
  165. am__mv = mv -f
  166. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  167. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  168. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  169. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  170. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  171. $(AM_CFLAGS) $(CFLAGS)
  172. AM_V_CC = $(am__v_CC_$(V))
  173. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  174. am__v_CC_0 = @echo " CC " $@;
  175. am__v_CC_1 =
  176. CCLD = $(CC)
  177. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  178. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  179. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  180. AM_V_CCLD = $(am__v_CCLD_$(V))
  181. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  182. am__v_CCLD_0 = @echo " CCLD " $@;
  183. am__v_CCLD_1 =
  184. SOURCES = pam_tty_audit.c
  185. DIST_SOURCES = pam_tty_audit.c
  186. am__can_run_installinfo = \
  187. case $$AM_UPDATE_INFO_DIR in \
  188. n|no|NO) false;; \
  189. *) (install-info --version) >/dev/null 2>&1;; \
  190. esac
  191. man8dir = $(mandir)/man8
  192. NROFF = nroff
  193. MANS = $(dist_man_MANS)
  194. am__dist_noinst_DATA_DIST = README
  195. DATA = $(dist_noinst_DATA)
  196. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  197. # Read a list of newline-separated strings from the standard input,
  198. # and print each of them once, without duplicates. Input order is
  199. # *not* preserved.
  200. am__uniquify_input = $(AWK) '\
  201. BEGIN { nonempty = 0; } \
  202. { items[$$0] = 1; nonempty = 1; } \
  203. END { if (nonempty) { for (i in items) print i; }; } \
  204. '
  205. # Make sure the list of sources is unique. This is necessary because,
  206. # e.g., the same source file might be shared among _SOURCES variables
  207. # for different programs/libraries.
  208. am__define_uniq_tagged_files = \
  209. list='$(am__tagged_files)'; \
  210. unique=`for i in $$list; do \
  211. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  212. done | $(am__uniquify_input)`
  213. ETAGS = etags
  214. CTAGS = ctags
  215. am__tty_colors_dummy = \
  216. mgn= red= grn= lgn= blu= brg= std=; \
  217. am__color_tests=no
  218. am__tty_colors = { \
  219. $(am__tty_colors_dummy); \
  220. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  221. am__color_tests=no; \
  222. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  223. am__color_tests=yes; \
  224. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  225. am__color_tests=yes; \
  226. fi; \
  227. if test $$am__color_tests = yes; then \
  228. red=''; \
  229. grn=''; \
  230. lgn=''; \
  231. blu=''; \
  232. mgn=''; \
  233. brg=''; \
  234. std=''; \
  235. fi; \
  236. }
  237. am__recheck_rx = ^[ ]*:recheck:[ ]*
  238. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  239. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  240. # A command that, given a newline-separated list of test names on the
  241. # standard input, print the name of the tests that are to be re-run
  242. # upon "make recheck".
  243. am__list_recheck_tests = $(AWK) '{ \
  244. recheck = 1; \
  245. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  246. { \
  247. if (rc < 0) \
  248. { \
  249. if ((getline line2 < ($$0 ".log")) < 0) \
  250. recheck = 0; \
  251. break; \
  252. } \
  253. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  254. { \
  255. recheck = 0; \
  256. break; \
  257. } \
  258. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  259. { \
  260. break; \
  261. } \
  262. }; \
  263. if (recheck) \
  264. print $$0; \
  265. close ($$0 ".trs"); \
  266. close ($$0 ".log"); \
  267. }'
  268. # A command that, given a newline-separated list of test names on the
  269. # standard input, create the global log from their .trs and .log files.
  270. am__create_global_log = $(AWK) ' \
  271. function fatal(msg) \
  272. { \
  273. print "fatal: making $@: " msg | "cat >&2"; \
  274. exit 1; \
  275. } \
  276. function rst_section(header) \
  277. { \
  278. print header; \
  279. len = length(header); \
  280. for (i = 1; i <= len; i = i + 1) \
  281. printf "="; \
  282. printf "\n\n"; \
  283. } \
  284. { \
  285. copy_in_global_log = 1; \
  286. global_test_result = "RUN"; \
  287. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  288. { \
  289. if (rc < 0) \
  290. fatal("failed to read from " $$0 ".trs"); \
  291. if (line ~ /$(am__global_test_result_rx)/) \
  292. { \
  293. sub("$(am__global_test_result_rx)", "", line); \
  294. sub("[ ]*$$", "", line); \
  295. global_test_result = line; \
  296. } \
  297. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  298. copy_in_global_log = 0; \
  299. }; \
  300. if (copy_in_global_log) \
  301. { \
  302. rst_section(global_test_result ": " $$0); \
  303. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  304. { \
  305. if (rc < 0) \
  306. fatal("failed to read from " $$0 ".log"); \
  307. print line; \
  308. }; \
  309. printf "\n"; \
  310. }; \
  311. close ($$0 ".trs"); \
  312. close ($$0 ".log"); \
  313. }'
  314. # Restructured Text title.
  315. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  316. # Solaris 10 'make', and several other traditional 'make' implementations,
  317. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  318. # by disabling -e (using the XSI extension "set +e") if it's set.
  319. am__sh_e_setup = case $$- in *e*) set +e;; esac
  320. # Default flags passed to test drivers.
  321. am__common_driver_flags = \
  322. --color-tests "$$am__color_tests" \
  323. --enable-hard-errors "$$am__enable_hard_errors" \
  324. --expect-failure "$$am__expect_failure"
  325. # To be inserted before the command running the test. Creates the
  326. # directory for the log if needed. Stores in $dir the directory
  327. # containing $f, in $tst the test, in $log the log. Executes the
  328. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  329. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  330. # will run the test scripts (or their associated LOG_COMPILER, if
  331. # thy have one).
  332. am__check_pre = \
  333. $(am__sh_e_setup); \
  334. $(am__vpath_adj_setup) $(am__vpath_adj) \
  335. $(am__tty_colors); \
  336. srcdir=$(srcdir); export srcdir; \
  337. case "$@" in \
  338. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  339. *) am__odir=.;; \
  340. esac; \
  341. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  342. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  343. if test -f "./$$f"; then dir=./; \
  344. elif test -f "$$f"; then dir=; \
  345. else dir="$(srcdir)/"; fi; \
  346. tst=$$dir$$f; log='$@'; \
  347. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  348. am__enable_hard_errors=no; \
  349. else \
  350. am__enable_hard_errors=yes; \
  351. fi; \
  352. case " $(XFAIL_TESTS) " in \
  353. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  354. am__expect_failure=yes;; \
  355. *) \
  356. am__expect_failure=no;; \
  357. esac; \
  358. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  359. # A shell command to get the names of the tests scripts with any registered
  360. # extension removed (i.e., equivalently, the names of the test logs, with
  361. # the '.log' extension removed). The result is saved in the shell variable
  362. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  363. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  364. # since that might cause problem with VPATH rewrites for suffix-less tests.
  365. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  366. am__set_TESTS_bases = \
  367. bases='$(TEST_LOGS)'; \
  368. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  369. bases=`echo $$bases`
  370. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  371. RECHECK_LOGS = $(TEST_LOGS)
  372. AM_RECURSIVE_TARGETS = check recheck
  373. TEST_SUITE_LOG = test-suite.log
  374. TEST_EXTENSIONS = .test
  375. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  376. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  377. am__set_b = \
  378. case '$@' in \
  379. */*) \
  380. case '$*' in \
  381. */*) b='$*';; \
  382. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  383. esac;; \
  384. *) \
  385. b='$*';; \
  386. esac
  387. am__test_logs1 = $(TESTS:=.log)
  388. am__test_logs2 = $(am__test_logs1:.log=.log)
  389. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  390. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  391. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  392. $(TEST_LOG_FLAGS)
  393. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  394. $(top_srcdir)/build-aux/depcomp \
  395. $(top_srcdir)/build-aux/test-driver
  396. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  397. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  398. AMTAR = $${TAR-tar}
  399. AM_DEFAULT_VERBOSITY = 1
  400. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  401. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  402. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  403. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  404. AWK = gawk
  405. BROWSER =
  406. BUILD_CFLAGS =
  407. BUILD_CPPFLAGS =
  408. BUILD_LDFLAGS =
  409. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  410. CCDEPMODE = depmode=gcc3
  411. CC_FOR_BUILD = gcc
  412. CFLAGS = -g -O2
  413. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  414. CPPFLAGS =
  415. CRYPTO_LIBS =
  416. CRYPT_CFLAGS =
  417. CRYPT_LIBS = -lcrypt
  418. CYGPATH_W = echo
  419. DEFS = -DHAVE_CONFIG_H
  420. DEPDIR = .deps
  421. DLLTOOL = false
  422. DSYMUTIL =
  423. DUMPBIN = :
  424. ECHO_C =
  425. ECHO_N = -n
  426. ECHO_T =
  427. ECONF_CFLAGS =
  428. ECONF_LIBS =
  429. EGREP = /bin/grep -E
  430. EXEEXT =
  431. EXE_CFLAGS = -fpie
  432. EXE_LDFLAGS = -pie -Wl,-z,now
  433. FGREP = /bin/grep -F
  434. FO2PDF =
  435. GETTEXT_MACRO_VERSION = 0.18
  436. GMSGFMT = /usr/bin/msgfmt
  437. GMSGFMT_015 = /usr/bin/msgfmt
  438. GREP = /bin/grep
  439. INSTALL = /usr/bin/install -c
  440. INSTALL_DATA = ${INSTALL} -m 644
  441. INSTALL_PROGRAM = ${INSTALL}
  442. INSTALL_SCRIPT = ${INSTALL}
  443. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  444. INTLLIBS =
  445. INTL_MACOSX_LIBS =
  446. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  447. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  448. LEX = flex
  449. LEXLIB = -lfl
  450. LEX_OUTPUT_ROOT = lex.yy
  451. LIBAUDIT =
  452. LIBCRYPT = -lcrypt
  453. LIBDB =
  454. LIBDL = -ldl
  455. LIBICONV = -liconv
  456. LIBINTL =
  457. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  458. LIBPRELUDE_CFLAGS =
  459. LIBPRELUDE_CONFIG = no
  460. LIBPRELUDE_CONFIG_PREFIX =
  461. LIBPRELUDE_LDFLAGS =
  462. LIBPRELUDE_LIBS =
  463. LIBPRELUDE_PREFIX =
  464. LIBPRELUDE_PTHREAD_CFLAGS =
  465. LIBS =
  466. LIBSELINUX =
  467. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  468. LIPO =
  469. LN_S = ln -s
  470. LTLIBICONV = -liconv
  471. LTLIBINTL =
  472. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  473. LT_SYS_LIBRARY_PATH =
  474. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  475. MANIFEST_TOOL = :
  476. MKDIR_P = /bin/mkdir -p
  477. MSGFMT = /usr/bin/msgfmt
  478. MSGFMT_015 = /usr/bin/msgfmt
  479. MSGMERGE = /usr/bin/msgmerge
  480. NIS_CFLAGS =
  481. NIS_LIBS =
  482. NM = nm
  483. NMEDIT =
  484. NSL_CFLAGS =
  485. NSL_LIBS = -lnsl
  486. OBJDUMP = objdump
  487. OBJEXT = o
  488. OTOOL =
  489. OTOOL64 =
  490. PACKAGE = Linux-PAM
  491. PACKAGE_BUGREPORT =
  492. PACKAGE_NAME = Linux-PAM
  493. PACKAGE_STRING = Linux-PAM 1.5.2
  494. PACKAGE_TARNAME = Linux-PAM
  495. PACKAGE_URL =
  496. PACKAGE_VERSION = 1.5.2
  497. PATH_SEPARATOR = :
  498. PKG_CONFIG = /usr/bin/pkg-config
  499. PKG_CONFIG_LIBDIR =
  500. PKG_CONFIG_PATH =
  501. POSUB = po
  502. RANLIB = ranlib
  503. SCONFIGDIR = ${prefix}/etc/security
  504. SECUREDIR = ${exec_prefix}/lib/security
  505. SED = /bin/sed
  506. SET_MAKE =
  507. SHELL = /bin/bash
  508. STRINGPARAM_HMAC =
  509. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  510. STRIP = strip
  511. TIRPC_CFLAGS =
  512. TIRPC_LIBS =
  513. USE_NLS = yes
  514. VERSION = 1.5.2
  515. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  516. XGETTEXT = /usr/bin/xgettext
  517. XGETTEXT_015 = /usr/bin/xgettext
  518. XGETTEXT_EXTRA_OPTIONS =
  519. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  520. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  521. XML_CATALOG_FILE = /etc/xml/catalog
  522. XSLTPROC = /usr/bin/xsltproc
  523. YACC = bison -y
  524. YFLAGS =
  525. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_tty_audit
  526. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_tty_audit
  527. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  528. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  529. ac_ct_AR =
  530. ac_ct_CC =
  531. ac_ct_DUMPBIN = link -dump
  532. am__include = include
  533. am__leading_dot = .
  534. am__quote =
  535. am__tar = $${TAR-tar} chof - "$$tardir"
  536. am__untar = $${TAR-tar} xf -
  537. bindir = ${exec_prefix}/bin
  538. build = x86_64-pc-linux-gnu
  539. build_alias =
  540. build_cpu = x86_64
  541. build_os = linux-gnu
  542. build_vendor = pc
  543. builddir = .
  544. datadir = ${datarootdir}
  545. datarootdir = ${prefix}/share
  546. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  547. dvidir = ${docdir}
  548. exec_prefix = ${prefix}
  549. host = arm-unknown-linux-gnueabihf
  550. host_alias = arm-linux-gnueabihf
  551. host_cpu = arm
  552. host_os = linux-gnueabihf
  553. host_vendor = unknown
  554. htmldir = ${docdir}
  555. includedir = ${prefix}/include
  556. infodir = ${datarootdir}/info
  557. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  558. libdir = ${exec_prefix}/lib
  559. libexecdir = ${exec_prefix}/libexec
  560. localedir = ${datarootdir}/locale
  561. localstatedir = ${prefix}/var
  562. mandir = ${datarootdir}/man
  563. mkdir_p = $(MKDIR_P)
  564. oldincludedir = /usr/include
  565. pam_xauth_path = /usr/bin/xauth
  566. pdfdir = ${docdir}
  567. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  568. program_transform_name = s,x,x,
  569. psdir = ${docdir}
  570. sbindir = ${exec_prefix}/sbin
  571. sharedstatedir = ${prefix}/com
  572. srcdir = .
  573. sysconfdir = ${prefix}/etc
  574. systemdunitdir =
  575. target_alias =
  576. top_build_prefix = ../../
  577. top_builddir = ../..
  578. top_srcdir = ../..
  579. CLEANFILES = *~
  580. MAINTAINERCLEANFILES = $(MANS) README
  581. EXTRA_DIST = $(XMLS)
  582. #dist_man_MANS = pam_tty_audit.8
  583. XMLS = README.xml pam_tty_audit.8.xml
  584. dist_check_SCRIPTS = tst-pam_tty_audit
  585. TESTS = $(dist_check_SCRIPTS)
  586. securelibdir = $(SECUREDIR)
  587. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  588. $(WARN_CFLAGS)
  589. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  590. pam_tty_audit_la_LIBADD = $(top_builddir)/libpam/libpam.la
  591. securelib_LTLIBRARIES = pam_tty_audit.la
  592. #dist_noinst_DATA = README
  593. all: all-am
  594. .SUFFIXES:
  595. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  596. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  597. @for dep in $?; do \
  598. case '$(am__configure_deps)' in \
  599. *$$dep*) \
  600. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  601. && { if test -f $@; then exit 0; else break; fi; }; \
  602. exit 1;; \
  603. esac; \
  604. done; \
  605. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_tty_audit/Makefile'; \
  606. $(am__cd) $(top_srcdir) && \
  607. $(AUTOMAKE) --gnu modules/pam_tty_audit/Makefile
  608. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  609. @case '$?' in \
  610. *config.status*) \
  611. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  612. *) \
  613. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  614. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  615. esac;
  616. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  617. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  618. $(top_srcdir)/configure: $(am__configure_deps)
  619. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  620. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  621. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  622. $(am__aclocal_m4_deps):
  623. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  624. @$(NORMAL_INSTALL)
  625. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  626. list2=; for p in $$list; do \
  627. if test -f $$p; then \
  628. list2="$$list2 $$p"; \
  629. else :; fi; \
  630. done; \
  631. test -z "$$list2" || { \
  632. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  633. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  634. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  635. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  636. }
  637. uninstall-securelibLTLIBRARIES:
  638. @$(NORMAL_UNINSTALL)
  639. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  640. for p in $$list; do \
  641. $(am__strip_dir) \
  642. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  643. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  644. done
  645. clean-securelibLTLIBRARIES:
  646. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  647. @list='$(securelib_LTLIBRARIES)'; \
  648. locs=`for p in $$list; do echo $$p; done | \
  649. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  650. sort -u`; \
  651. test -z "$$locs" || { \
  652. echo rm -f $${locs}; \
  653. rm -f $${locs}; \
  654. }
  655. pam_tty_audit.la: $(pam_tty_audit_la_OBJECTS) $(pam_tty_audit_la_DEPENDENCIES) $(EXTRA_pam_tty_audit_la_DEPENDENCIES)
  656. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_tty_audit_la_OBJECTS) $(pam_tty_audit_la_LIBADD) $(LIBS)
  657. mostlyclean-compile:
  658. -rm -f *.$(OBJEXT)
  659. distclean-compile:
  660. -rm -f *.tab.c
  661. include ./$(DEPDIR)/pam_tty_audit.Plo # am--include-marker
  662. $(am__depfiles_remade):
  663. @$(MKDIR_P) $(@D)
  664. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  665. am--depfiles: $(am__depfiles_remade)
  666. .c.o:
  667. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  668. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  669. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  670. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  671. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  672. .c.obj:
  673. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  674. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  675. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  676. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  677. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  678. .c.lo:
  679. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  680. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  681. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  682. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  683. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  684. mostlyclean-libtool:
  685. -rm -f *.lo
  686. clean-libtool:
  687. -rm -rf .libs _libs
  688. install-man8: $(dist_man_MANS)
  689. @$(NORMAL_INSTALL)
  690. @list1=''; \
  691. list2='$(dist_man_MANS)'; \
  692. test -n "$(man8dir)" \
  693. && test -n "`echo $$list1$$list2`" \
  694. || exit 0; \
  695. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  696. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  697. { for i in $$list1; do echo "$$i"; done; \
  698. if test -n "$$list2"; then \
  699. for i in $$list2; do echo "$$i"; done \
  700. | sed -n '/\.8[a-z]*$$/p'; \
  701. fi; \
  702. } | while read p; do \
  703. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  704. echo "$$d$$p"; echo "$$p"; \
  705. done | \
  706. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  707. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  708. sed 'N;N;s,\n, ,g' | { \
  709. list=; while read file base inst; do \
  710. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  711. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  712. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  713. fi; \
  714. done; \
  715. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  716. while read files; do \
  717. test -z "$$files" || { \
  718. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  719. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  720. done; }
  721. uninstall-man8:
  722. @$(NORMAL_UNINSTALL)
  723. @list=''; test -n "$(man8dir)" || exit 0; \
  724. files=`{ for i in $$list; do echo "$$i"; done; \
  725. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  726. sed -n '/\.8[a-z]*$$/p'; \
  727. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  728. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  729. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  730. ID: $(am__tagged_files)
  731. $(am__define_uniq_tagged_files); mkid -fID $$unique
  732. tags: tags-am
  733. TAGS: tags
  734. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  735. set x; \
  736. here=`pwd`; \
  737. $(am__define_uniq_tagged_files); \
  738. shift; \
  739. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  740. test -n "$$unique" || unique=$$empty_fix; \
  741. if test $$# -gt 0; then \
  742. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  743. "$$@" $$unique; \
  744. else \
  745. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  746. $$unique; \
  747. fi; \
  748. fi
  749. ctags: ctags-am
  750. CTAGS: ctags
  751. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  752. $(am__define_uniq_tagged_files); \
  753. test -z "$(CTAGS_ARGS)$$unique" \
  754. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  755. $$unique
  756. GTAGS:
  757. here=`$(am__cd) $(top_builddir) && pwd` \
  758. && $(am__cd) $(top_srcdir) \
  759. && gtags -i $(GTAGS_ARGS) "$$here"
  760. cscopelist: cscopelist-am
  761. cscopelist-am: $(am__tagged_files)
  762. list='$(am__tagged_files)'; \
  763. case "$(srcdir)" in \
  764. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  765. *) sdir=$(subdir)/$(srcdir) ;; \
  766. esac; \
  767. for i in $$list; do \
  768. if test -f "$$i"; then \
  769. echo "$(subdir)/$$i"; \
  770. else \
  771. echo "$$sdir/$$i"; \
  772. fi; \
  773. done >> $(top_builddir)/cscope.files
  774. distclean-tags:
  775. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  776. # Recover from deleted '.trs' file; this should ensure that
  777. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  778. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  779. # to avoid problems with "make -n".
  780. .log.trs:
  781. rm -f $< $@
  782. $(MAKE) $(AM_MAKEFLAGS) $<
  783. # Leading 'am--fnord' is there to ensure the list of targets does not
  784. # expand to empty, as could happen e.g. with make check TESTS=''.
  785. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  786. am--force-recheck:
  787. @:
  788. $(TEST_SUITE_LOG): $(TEST_LOGS)
  789. @$(am__set_TESTS_bases); \
  790. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  791. redo_bases=`for i in $$bases; do \
  792. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  793. done`; \
  794. if test -n "$$redo_bases"; then \
  795. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  796. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  797. if $(am__make_dryrun); then :; else \
  798. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  799. fi; \
  800. fi; \
  801. if test -n "$$am__remaking_logs"; then \
  802. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  803. "recursion detected" >&2; \
  804. elif test -n "$$redo_logs"; then \
  805. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  806. fi; \
  807. if $(am__make_dryrun); then :; else \
  808. st=0; \
  809. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  810. for i in $$redo_bases; do \
  811. test -f $$i.trs && test -r $$i.trs \
  812. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  813. test -f $$i.log && test -r $$i.log \
  814. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  815. done; \
  816. test $$st -eq 0 || exit 1; \
  817. fi
  818. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  819. ws='[ ]'; \
  820. results=`for b in $$bases; do echo $$b.trs; done`; \
  821. test -n "$$results" || results=/dev/null; \
  822. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  823. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  824. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  825. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  826. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  827. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  828. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  829. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  830. success=true; \
  831. else \
  832. success=false; \
  833. fi; \
  834. br='==================='; br=$$br$$br$$br$$br; \
  835. result_count () \
  836. { \
  837. if test x"$$1" = x"--maybe-color"; then \
  838. maybe_colorize=yes; \
  839. elif test x"$$1" = x"--no-color"; then \
  840. maybe_colorize=no; \
  841. else \
  842. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  843. fi; \
  844. shift; \
  845. desc=$$1 count=$$2; \
  846. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  847. color_start=$$3 color_end=$$std; \
  848. else \
  849. color_start= color_end=; \
  850. fi; \
  851. echo "$${color_start}# $$desc $$count$${color_end}"; \
  852. }; \
  853. create_testsuite_report () \
  854. { \
  855. result_count $$1 "TOTAL:" $$all "$$brg"; \
  856. result_count $$1 "PASS: " $$pass "$$grn"; \
  857. result_count $$1 "SKIP: " $$skip "$$blu"; \
  858. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  859. result_count $$1 "FAIL: " $$fail "$$red"; \
  860. result_count $$1 "XPASS:" $$xpass "$$red"; \
  861. result_count $$1 "ERROR:" $$error "$$mgn"; \
  862. }; \
  863. { \
  864. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  865. $(am__rst_title); \
  866. create_testsuite_report --no-color; \
  867. echo; \
  868. echo ".. contents:: :depth: 2"; \
  869. echo; \
  870. for b in $$bases; do echo $$b; done \
  871. | $(am__create_global_log); \
  872. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  873. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  874. if $$success; then \
  875. col="$$grn"; \
  876. else \
  877. col="$$red"; \
  878. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  879. fi; \
  880. echo "$${col}$$br$${std}"; \
  881. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  882. echo "$${col}$$br$${std}"; \
  883. create_testsuite_report --maybe-color; \
  884. echo "$$col$$br$$std"; \
  885. if $$success; then :; else \
  886. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  887. if test -n "$(PACKAGE_BUGREPORT)"; then \
  888. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  889. fi; \
  890. echo "$$col$$br$$std"; \
  891. fi; \
  892. $$success || exit 1
  893. check-TESTS: $(dist_check_SCRIPTS)
  894. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  895. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  896. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  897. @set +e; $(am__set_TESTS_bases); \
  898. log_list=`for i in $$bases; do echo $$i.log; done`; \
  899. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  900. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  901. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  902. exit $$?;
  903. recheck: all $(dist_check_SCRIPTS)
  904. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  905. @set +e; $(am__set_TESTS_bases); \
  906. bases=`for i in $$bases; do echo $$i; done \
  907. | $(am__list_recheck_tests)` || exit 1; \
  908. log_list=`for i in $$bases; do echo $$i.log; done`; \
  909. log_list=`echo $$log_list`; \
  910. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  911. am__force_recheck=am--force-recheck \
  912. TEST_LOGS="$$log_list"; \
  913. exit $$?
  914. tst-pam_tty_audit.log: tst-pam_tty_audit
  915. @p='tst-pam_tty_audit'; \
  916. b='tst-pam_tty_audit'; \
  917. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  918. --log-file $$b.log --trs-file $$b.trs \
  919. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  920. "$$tst" $(AM_TESTS_FD_REDIRECT)
  921. .test.log:
  922. @p='$<'; \
  923. $(am__set_b); \
  924. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  925. --log-file $$b.log --trs-file $$b.trs \
  926. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  927. "$$tst" $(AM_TESTS_FD_REDIRECT)
  928. #.test$(EXEEXT).log:
  929. # @p='$<'; \
  930. # $(am__set_b); \
  931. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  932. # --log-file $$b.log --trs-file $$b.trs \
  933. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  934. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  935. distdir: $(BUILT_SOURCES)
  936. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  937. distdir-am: $(DISTFILES)
  938. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  939. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  940. list='$(DISTFILES)'; \
  941. dist_files=`for file in $$list; do echo $$file; done | \
  942. sed -e "s|^$$srcdirstrip/||;t" \
  943. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  944. case $$dist_files in \
  945. */*) $(MKDIR_P) `echo "$$dist_files" | \
  946. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  947. sort -u` ;; \
  948. esac; \
  949. for file in $$dist_files; do \
  950. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  951. if test -d $$d/$$file; then \
  952. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  953. if test -d "$(distdir)/$$file"; then \
  954. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  955. fi; \
  956. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  957. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  958. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  959. fi; \
  960. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  961. else \
  962. test -f "$(distdir)/$$file" \
  963. || cp -p $$d/$$file "$(distdir)/$$file" \
  964. || exit 1; \
  965. fi; \
  966. done
  967. check-am: all-am
  968. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  969. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  970. check: check-am
  971. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  972. installdirs:
  973. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"; do \
  974. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  975. done
  976. install: install-am
  977. install-exec: install-exec-am
  978. install-data: install-data-am
  979. uninstall: uninstall-am
  980. install-am: all-am
  981. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  982. installcheck: installcheck-am
  983. install-strip:
  984. if test -z '$(STRIP)'; then \
  985. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  986. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  987. install; \
  988. else \
  989. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  990. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  991. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  992. fi
  993. mostlyclean-generic:
  994. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  995. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  996. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  997. clean-generic:
  998. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  999. distclean-generic:
  1000. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1001. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1002. maintainer-clean-generic:
  1003. @echo "This command is intended for maintainers to use"
  1004. @echo "it deletes files that may require special tools to rebuild."
  1005. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1006. clean: clean-am
  1007. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1008. mostlyclean-am
  1009. distclean: distclean-am
  1010. -rm -f ./$(DEPDIR)/pam_tty_audit.Plo
  1011. -rm -f Makefile
  1012. distclean-am: clean-am distclean-compile distclean-generic \
  1013. distclean-tags
  1014. dvi: dvi-am
  1015. dvi-am:
  1016. html: html-am
  1017. html-am:
  1018. info: info-am
  1019. info-am:
  1020. install-data-am: install-man install-securelibLTLIBRARIES
  1021. install-dvi: install-dvi-am
  1022. install-dvi-am:
  1023. install-exec-am:
  1024. install-html: install-html-am
  1025. install-html-am:
  1026. install-info: install-info-am
  1027. install-info-am:
  1028. install-man: install-man8
  1029. install-pdf: install-pdf-am
  1030. install-pdf-am:
  1031. install-ps: install-ps-am
  1032. install-ps-am:
  1033. installcheck-am:
  1034. maintainer-clean: maintainer-clean-am
  1035. -rm -f ./$(DEPDIR)/pam_tty_audit.Plo
  1036. -rm -f Makefile
  1037. maintainer-clean-am: distclean-am maintainer-clean-generic
  1038. mostlyclean: mostlyclean-am
  1039. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1040. mostlyclean-libtool
  1041. pdf: pdf-am
  1042. pdf-am:
  1043. ps: ps-am
  1044. ps-am:
  1045. uninstall-am: uninstall-man uninstall-securelibLTLIBRARIES
  1046. uninstall-man: uninstall-man8
  1047. .MAKE: check-am install-am install-strip
  1048. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1049. check-am clean clean-generic clean-libtool \
  1050. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1051. distclean distclean-compile distclean-generic \
  1052. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1053. html-am info info-am install install-am install-data \
  1054. install-data-am install-dvi install-dvi-am install-exec \
  1055. install-exec-am install-html install-html-am install-info \
  1056. install-info-am install-man install-man8 install-pdf \
  1057. install-pdf-am install-ps install-ps-am \
  1058. install-securelibLTLIBRARIES install-strip installcheck \
  1059. installcheck-am installdirs maintainer-clean \
  1060. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1061. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1062. recheck tags tags-am uninstall uninstall-am uninstall-man \
  1063. uninstall-man8 uninstall-securelibLTLIBRARIES
  1064. .PRECIOUS: Makefile
  1065. #-include $(top_srcdir)/Make.xml.rules
  1066. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1067. # Otherwise a system limit (for SysV at least) may be exceeded.
  1068. .NOEXPORT: